package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmBchxylp对象", description="")
public class DmBchxylp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "余料编号(板材)")
    private String ylbh;

    @ApiModelProperty(value = "套料图号")
    private String tzbh;

    @ApiModelProperty(value = "类型")
    private String hxfl;

    @ApiModelProperty(value = "规格")
    private String wpgg;

    @ApiModelProperty(value = "材质")
    private String wpxh;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "导入人")
    private String zdr;

    @ApiModelProperty(value = "导入日期")
    private String zdrq;

    @ApiModelProperty(value = "划线类型(板材)")
    private String ylzd1;

    @ApiModelProperty(value = "船号")
    private String dcCh;

    @ApiModelProperty(value = "批量")
    private String dcPl;

    @ApiModelProperty(value = "组立")
    private String dcZl;

    @ApiModelProperty(value = "余料")
    private String sfyl;

    @ApiModelProperty(value = "余料规格(板材)")
    private String ylgg;
    @ApiModelProperty(value = "余料规格s(板材)")
    private String ylggs;

    @ApiModelProperty(value = "数量")
    private BigDecimal sl;

    @ApiModelProperty(value = "余料数量")
    private Double ylsl;

    @ApiModelProperty(value = "型材名称(型材)")
    private String xcmc;

    @ApiModelProperty(value = "型材长度(型材)")
    private BigDecimal xccd;

    @ApiModelProperty(value = "余料长度(型材)")
    private BigDecimal ylcd;

    @ApiModelProperty(value = "加工跨")
    @TableField("ZZCJ")
    private String zzcj;

    @ApiModelProperty(value = "导入人员")
    private String drry;

    @ApiModelProperty(value = "导入日期")
    private String drrq;

    @ApiModelProperty(value = "导入次数")
    private Integer drcs;

    private String bgr;

    @TableId(value = "hxbh", type = IdType.ASSIGN_UUID)
    private String hxbh;

    private Double ylzd6;

    private String rkph;

    private String kwh;

    private Double ylzd4;

    private Double xh;

    private Double ylzd5;

    private String rkbs;

    private String ylzd2;

    private String rkrq;

    private String jldw;

    private String ylzd3;

    private Double ylzl;

    private String drbs;


}
