package com.dsic.gj_erp.bean.jhgk;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmXbjh对象", description="")
@Entity
@TableName("dm_xbjh")
public class DmXbjh implements Serializable {

    private static final long serialVersionUID=1L;

    @Id
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    @ApiModelProperty(value = "年份")
    private String nf;

    @ApiModelProperty(value = "月份")
    private String yf;

    @ApiModelProperty(value = "重量")
    private Double zl;

    @ApiModelProperty(value = "有效年份")
    private String yxnf;

    @ApiModelProperty(value = "状态")
    private String zt;

    @ApiModelProperty(value = "船号")
    private String dcCh;



}
