package com.dsic.gj_erp.bean.jhgk.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-18
 */
@Data
public class GdxqExcel1   {

    private static final long serialVersionUID=1L;
    @ApiModelProperty(value = "分段")
    @ExcelProperty(index = 3)
    private String dcFd;

    @ApiModelProperty(value = "总段号")
    @ExcelProperty(index = 2)
    private String zdh;

    @ApiModelProperty(value = "大组极重")
    @ExcelProperty(index = 4)
    private String dzjz;

    @ApiModelProperty(value = "钢料需求")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 5)
    private String dzglxq;

    @ApiModelProperty(value = "D曲板")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 6)
    private String dqb;

    @ApiModelProperty(value = "D型材T")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 7)
    private String dxc;

    @ApiModelProperty(value = "D散件")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 8)
    private String dsj;

    @ApiModelProperty(value = "D大板")
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(index = 9)
    private String ddb;

    @ExcelProperty(index = 0)
    private String dcCh;

    @ExcelProperty(index = 1)
    private String dcPl;

    @ExcelIgnore
    private String zl="dz";
}
