package com.dsic.gj_erp.mapper.jhgk;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsic.gj_erp.bean.jhgk.DmSygdMx;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.bean.pgd.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author xn
 * @since 2023-11-09
 */
public interface DmYdjhMapper extends BaseMapper<DmYdjh> {

   List<DmSygdMx> getSygdmx(String nextMonth);
   List<PgdTzjh> getTzjh(@Param("begin") String begin, @Param("end") String end);
   List<PgdDh> getDhjh(@Param("begin") String begin, @Param("end") String end);
   List<PgdSljh>  getSljh(@Param("begin") String begin, @Param("end") String end);
   List<PgdPwjh>  getPwjh(@Param("begin") String begin, @Param("end") String end);
   List<PgdQgjh>  getQgjh(@Param("begin") String begin, @Param("end") String end);
}
