package com.dsic.gj_erp.service.pgd.impl;

import cn.hutool.core.date.DateUtil;
import com.dsic.gj_erp.bean.pgd.PgdDmjh;
import com.dsic.gj_erp.bean.pgd.PgdPkjh;
import com.dsic.gj_erp.bean.pgd.PgdPwjh;
import com.dsic.gj_erp.bean.pgd.PgdQgjh;
import com.dsic.gj_erp.mapper.pgd.PgdDmjhMapper;
import com.dsic.gj_erp.service.pgd.PgdDmjhService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-11-13
 */
@Service
public class PgdDmjhServiceImpl extends ServiceImpl<PgdDmjhMapper, PgdDmjh> implements PgdDmjhService {
    @Override
    public void saveDmPgdXd(List<PgdDmjh> dmjhs, HttpServletRequest request) {
        List<PgdDmjh>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            PgdDmjh e= new PgdDmjh();
            e.setXfry((String) request.getAttribute("yhms"));
            e.setXfrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setZt("02");
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }

    @Override
    public void saveDmPgdFk(List<PgdDmjh> dmjhs, HttpServletRequest request) {
        List<PgdDmjh>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            PgdDmjh e= new PgdDmjh();
            e.setFkry((String) request.getAttribute("yhms"));
            e.setFkrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            e.setZt("09");
            e.setFkyy(f.getFkyy());
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }

    @Override
    public void saveDmPgdXdBack(List<PgdDmjh> dmjhs, HttpServletRequest request) {

        List<PgdDmjh>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            PgdDmjh e= new PgdDmjh();
            e.setXfry((String) request.getAttribute("yhms"));
            e.setXfrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd HH:mm:ss"));
            if(f.getZt().equals("02")){
                e.setZt("01");
            }
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }

    @Override
    public void saveDmFk(List<PgdDmjh> dmjhs, HttpServletRequest request) {
        List<PgdDmjh>ups= new ArrayList<>();
        dmjhs.forEach(f->{
            PgdDmjh e= new PgdDmjh();
            e.setDmry(e.getDmry());
            e.setDmksrq(e.getDmksrq());
            e.setDmjsrq(e.getDmjsrq());
            e.setId(f.getId());
            ups.add(e);
        });
        this.updateBatchById(ups);
    }
}
