package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("DM_BCHXMXP")
@ApiModel(value="DmBchxmxp对象", description="")
public class DmBchxmxp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "XH", type = IdType.ASSIGN_UUID)
    private Double xh;

    @ApiModelProperty(value = "零件编号")
    @TableField("WPH")
    private String wph;

    @ApiModelProperty(value = "数量")
    @TableField("SL")
    private BigDecimal sl;

    @ApiModelProperty(value = "修改人")
    @TableField("XGR")
    private String xgr;

    @ApiModelProperty(value = "修改日期")
    @TableField("XGRQ")
    private String xgrq;

    @ApiModelProperty(value = "零件信息")
    @TableField("LJXX")
    private String ljxx;

    @ApiModelProperty(value = "零件特征")
    private String ljtz;

    @ApiModelProperty(value = "工厂编号")
    @TableField("GCBH_z")
    private String gcbhZ;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH_z")
    private String dcChZ;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CM_z")
    private String dcCmZ;

    @ApiModelProperty(value = "分段")
    @TableField("DC_FD_z")
    private String dcFdZ;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL_z")
    private String dcPlZ;

    @ApiModelProperty(value = "组立")
    @TableField("DC_ZL_z")
    private String dcZlZ;

    @ApiModelProperty(value = "图纸编号")
    @TableField("TJBH_z")
    private String tjbhZ;

    @ApiModelProperty(value = "下图日期")
    @TableField("XTRQ_z")
    private String xtrqZ;

    @ApiModelProperty(value = "余料编号")
    @TableField("YLBH_z")
    private String ylbhZ;

    @ApiModelProperty(value = "规格")
    @TableField("WPGG_z")
    private String wpggZ;

    @ApiModelProperty(value = "材质")
    @TableField("WPXH_z")
    private String wpxhZ;

    @ApiModelProperty(value = "图形比例")
    @TableField("TXBL_z")
    private String txblZ;

    @ApiModelProperty(value = "零件数量")
    @TableField("LJSL_z")
    private BigDecimal ljslZ;

    @ApiModelProperty(value = "材料重量")
    @TableField("YCLZL_z")
    private Double yclzlZ;

    @ApiModelProperty(value = "实耗重量")
    @TableField("SHZL_z")
    private Double shzlZ;

    @ApiModelProperty(value = "残料重量")
    @TableField("CLZL_z")
    private Double clzlZ;

    @ApiModelProperty(value = "余料重量")
    @TableField("YLZL_z")
    private Double ylzlZ;

    @ApiModelProperty(value = "划线长度")
    @TableField("HXCD_z")
    private BigDecimal hxcdZ;

    @ApiModelProperty(value = "炉批号")
    @TableField("DC_LPH_z")
    private String dcLphZ;

    @ApiModelProperty(value = "完工日期")
    @TableField("WGRQ_z")
    private String wgrqZ;

    @ApiModelProperty(value = "作业人员")
    @TableField("ZYRQ_z")
    private String zyrqZ;

    @ApiModelProperty(value = "划线类型")
    @TableField("YLZD1_z")
    private String ylzd1Z;

    @ApiModelProperty(value = "材料来源")
    @TableField("YLZD2_z")
    private String ylzd2Z;

    @ApiModelProperty(value = "切割长度")
    @TableField("YLZD4_z")
    private BigDecimal ylzd4Z;

    @ApiModelProperty(value = "划线分类")
    @TableField("HXFL_z")
    private String hxflZ;

    @ApiModelProperty(value = "材料名称")
    @TableField("CLMC_z")
    private String clmcZ;

    @ApiModelProperty(value = "原图纸编号")
    @TableField("TZBH1_z")
    private String tzbh1Z;

    @ApiModelProperty(value = "原图纸编号")
    @TableField("TZBH_z")
    private String tzbhZ;

    @ApiModelProperty(value = "状态：0:编辑1:提交2:审核")
    private String zt;

    @ApiModelProperty(value = "跨位")
    @TableField("ZZCJ")
    private String zzcj;

    @ApiModelProperty(value = "打孔数量")
    private Integer dksl;

    @ApiModelProperty(value = "切割空程长度")
    private Double cdQgkc;

    @ApiModelProperty(value = "坡口标识")
    private String pkbs;

    @ApiModelProperty(value = "坡口类型")
    private String pklx;

    @ApiModelProperty(value = "坡口度数")
    private Double pkds;

    @ApiModelProperty(value = "坡口长度")
    private Double cdPk;

    @ApiModelProperty(value = "打磨标识")
    private String dmbs;

    @ApiModelProperty(value = "打磨长度")
    private Double cdDm;

    @ApiModelProperty(value = "曲面标识")
    private String qmbs;

    @TableField("YLZD3")
    private String ylzd3;

    @TableField("ZDR_z")
    private String zdrZ;

    @TableField("YLZD6")
    private Double ylzd6;

    @TableField("BZ")
    private String bz;

    @TableField("YLZD4")
    private Double ylzd4;

    @TableField("YLZD5_z")
    private Double ylzd5Z;

    @TableField("YLZD1")
    private String ylzd1;

    @TableField("ZDRQ_z")
    private String zdrqZ;

    @TableField("LJBH")
    private String ljbh;

    @TableField("YLZD6_z")
    private Double ylzd6Z;

    @TableField("YLZD3_z")
    private String ylzd3Z;

    @TableField("YLZD2")
    private String ylzd2;

    @TableField("HXBH")
    private String hxbh;

    @TableField("BZ_z")
    private String bzZ;

    @TableField("YLZD5")
    private Double ylzd5;

    private  Integer drcs;


}
